/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sync.constants;

/**
 * @author Shinn Lok
 */
public class SyncPermissionsConstants {

	public static final int PERMISSIONS_DEFAULT = 0;

	public static final int PERMISSIONS_FULL_ACCESS = 4;

	public static final int PERMISSIONS_NONE = 1;

	public static final int PERMISSIONS_VIEW_AND_ADD_DISCUSSION = 3;

	public static final int PERMISSIONS_VIEW_ONLY = 2;

	public static final int PERMISSIONS_VIEW_UPDATE_AND_ADD_DISCUSSION = 5;

	public static String[] getFileResourceActions(int value) {
		if (value == PERMISSIONS_FULL_ACCESS) {
			return new String[] {"ADD_DISCUSSION", "DELETE", "UPDATE", "VIEW"};
		}
		else if (value == PERMISSIONS_NONE) {
			return new String[0];
		}
		else if (value == PERMISSIONS_VIEW_AND_ADD_DISCUSSION) {
			return new String[] {"ADD_DISCUSSION", "VIEW"};
		}
		else if (value == PERMISSIONS_VIEW_ONLY) {
			return new String[] {"VIEW"};
		}
		else if (value == PERMISSIONS_VIEW_UPDATE_AND_ADD_DISCUSSION) {
			return new String[] {"ADD_DISCUSSION", "UPDATE", "VIEW"};
		}

		return new String[0];
	}

	public static String[] getFolderResourceActions(int value) {
		if (value == PERMISSIONS_FULL_ACCESS) {
			return new String[] {
				"ADD_DOCUMENT", "ADD_SHORTCUT", "ADD_SUBFOLDER", "DELETE",
				"UPDATE", "VIEW"
			};
		}
		else if (value == PERMISSIONS_NONE) {
			return new String[0];
		}
		else if (value == PERMISSIONS_VIEW_AND_ADD_DISCUSSION) {
			return new String[] {"VIEW"};
		}
		else if (value == PERMISSIONS_VIEW_ONLY) {
			return new String[] {"VIEW"};
		}
		else if (value == PERMISSIONS_VIEW_UPDATE_AND_ADD_DISCUSSION) {
			return new String[] {
				"ADD_DOCUMENT", "ADD_SHORTCUT", "ADD_SUBFOLDER", "UPDATE",
				"VIEW"
			};
		}

		return new String[0];
	}

}