/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sync.model;

import com.liferay.petra.sql.dsl.Column;
import com.liferay.petra.sql.dsl.base.BaseTable;

import java.sql.Types;

import java.util.Date;

/**
 * The table class for the &quot;SyncDLFileVersionDiff&quot; database table.
 *
 * @author Brian Wing Shun Chan
 * @see SyncDLFileVersionDiff
 * @generated
 */
public class SyncDLFileVersionDiffTable
	extends BaseTable<SyncDLFileVersionDiffTable> {

	public static final SyncDLFileVersionDiffTable INSTANCE =
		new SyncDLFileVersionDiffTable();

	public final Column<SyncDLFileVersionDiffTable, Long>
		syncDLFileVersionDiffId = createColumn(
			"syncDLFileVersionDiffId", Long.class, Types.BIGINT,
			Column.FLAG_PRIMARY);
	public final Column<SyncDLFileVersionDiffTable, Long> companyId =
		createColumn(
			"companyId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Long> fileEntryId =
		createColumn(
			"fileEntryId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Long> sourceFileVersionId =
		createColumn(
			"sourceFileVersionId", Long.class, Types.BIGINT,
			Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Long> targetFileVersionId =
		createColumn(
			"targetFileVersionId", Long.class, Types.BIGINT,
			Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Long> dataFileEntryId =
		createColumn(
			"dataFileEntryId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Long> size = createColumn(
		"size_", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<SyncDLFileVersionDiffTable, Date> expirationDate =
		createColumn(
			"expirationDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);

	private SyncDLFileVersionDiffTable() {
		super("SyncDLFileVersionDiff", SyncDLFileVersionDiffTable::new);
	}

}